Route calculation error?

I have the latest 4.10 f/w version.

When loading a route, I sometimes get this. Could it be related to the expired or missing EPO I posted in a different post?